package com.yihu.jw.entity.specialist.rehabilitation;


import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.util.StringFStringEncryptConverter;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by ysj on 2020/7/11.
 */
@Entity
@Table(name = "wlyy_plan_detail_appointment")
public class RehabilitationDetailAppointmentDO extends UuidIdentityEntity implements Serializable {

    private String rehabilitationPlanDetailId;//'计划明细code'
    private Integer isSend;//是否已经提醒（0未提醒，1已提醒）
    private String appointmentTime;//'预约时间'
    private String doctor;//'执行医生code' 家医
    private String doctorName;
    private String appointmentDoctor;//预约医生code 专科
    private String appointmentDoctorName;
    private String patient;
    private Date createTime;

    @Column(name = "appointment_doctor")
    public String getAppointmentDoctor() {
        return appointmentDoctor;
    }

    public void setAppointmentDoctor(String appointmentDoctor) {
        this.appointmentDoctor = appointmentDoctor;
    }

    @Column(name = "appointment_doctor_name")
//    @Convert(converter = StringFStringEncryptConverter.class)
    public String getAppointmentDoctorName() {
        return appointmentDoctorName;
    }

    public void setAppointmentDoctorName(String appointmentDoctorName) {
        this.appointmentDoctorName = appointmentDoctorName;
    }

    @Column(name = "rehabilitation_plan_detail_id")
    public String getRehabilitationPlanDetailId() {
        return rehabilitationPlanDetailId;
    }

    public void setRehabilitationPlanDetailId(String rehabilitationPlanDetailId) {
        this.rehabilitationPlanDetailId = rehabilitationPlanDetailId;
    }

    @Column(name = "is_send")
    public Integer getIsSend() {
        return isSend;
    }

    public void setIsSend(Integer isSend) {
        this.isSend = isSend;
    }

    @Column(name = "appointment_time")
    public String getAppointmentTime() {
        return appointmentTime;
    }

    public void setAppointmentTime(String appointmentTime) {
        this.appointmentTime = appointmentTime;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "doctor_name")
//    @Convert(converter = StringFStringEncryptConverter.class)
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
